;; -*- no-byte-compile: t; -*-
;;; $DOOMDIR/packages.el

;; To install a package with Doom you must declare them here and run 'doom sync'
;; on the command line, then restart Emacs for the changes to take effect -- or
;; use 'M-x doom/reload'.

;; (unpin! compat)
(unpin! doom-themes)
;;(unpin! lsp-mode)
(unpin! sly)
;; (unpin! racket-mode)
(unpin! consult)
(unpin! vertico)
(unpin! embark)
(unpin! orderless)
(unpin! cape)
(unpin! corfu)
(unpin! yasnippet-capf)
(unpin! parinfer-rust-mode)
(unpin! use-package)
;; (unpin! geiser)
(unpin! vterm)
;;(unpin! mu4e)

(package! meow)
(package! direnv)
(package! kurecolor)
(package! colorful-mode)
(package! magit-annex)
(package! bookmark-in-project)

(package! kdl-mode
  :recipe (:type git
           :host github
           :repo "bobuk/kdl-mode"
           :files (:defaults "*.el")))

(package! meow-vterm
  :recipe (:type git
           :host github
           :repo "accelbread/meow-vterm"))

(package! meow-tree-sitter
  :recipe (:type git :host github :repo "skissue/meow-tree-sitter"))

(package! kbd-mode
  :recipe (:type git
           :host github
           :repo "kmonad/kbd-mode"))

(package! consult-mu
  :recipe (:host nil :type git :repo "https://gt.emenel.ca/emenel/consult-mu.git" :files (:defaults "extras/*.el")))

(package! mu4e-overview
  :recipe (:type git
           :host github
           :repo "mkcms/mu4e-overview"))

(package! just-mode)
(package! justl)
(package! fennel-mode)
(package! systemd)
(package! nerd-icons-completion)
(package! nerd-icons-dired)
(package! treemacs-nerd-icons)
(package! kind-icon)
(package! caddyfile-mode)
(package! obsidian)
(package! w3m)
(package! terminal-here)
(package! processing-mode)
(package! ob-p5js)
;; (package! tidal)
(package! fish-mode)
(package! smart-tabs-mode)
;;(package! sclang
;;  :recipe (:local-repo "/Users/emenel/Library/Application Support/SuperCollider/downloaded-quarks/scel/el"))
(package! platformio-mode)
(package! scad-mode)
(package! consult-yasnippet)
(package! gcode-mode)
(package! sly-asdf)
(package! sly-quicklisp)

(package! a-janet-mode
  :recipe (:type git
           :host nil
           :repo "https://codeberg.org/sogaiu/a-janet-mode"
           :branch "main"
           :files ("*.el" "*.janet" "highlights")))

(package! ajrepl
  :recipe (:type git
           :host github
           :repo "sogaiu/ajrepl"
           :files (:defaults ("ajrepl/"
                              "ajrepl/*"))))

(package! lisp-markup
  :recipe (:type git
           :host github
           :repo "moderninterpreters/markup"
           :files ("*.el")))

(package! bookmark-in-project)

(package! eglot-booster
  :recipe (:type git
           :host github
           :repo "jdtsmith/eglot-booster"))

(package! eldoc :built-in t)
(package! track-changes :pin "63f21ecf8c59ead2168c983f44364d0ac11d8f77")
(package! soap-client :built-in t)
